/*
 * File: MonteCarloPi.js
 * ---------------------
 * This program computes an approximation to pi by simulating a dart
 * board.  The general technique is called Monte Carlo integration.
 */

/* Constants */

const N_DARTS = 10000;                      /* Number of darts thrown */

/* Main program */

function MonteCarloPi() {
   let inside = 0;
   for (let i = 0; i < N_DARTS; i++) {
      let x = randomReal(-1, 1);
      let y = randomReal(-1, 1);
      if (x * x + y * y < 1) inside++;
   }
   let pi = 4.0 * inside / N_DARTS;
   console.log("pi is approximately " + pi);
}
